petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPSetComputeOperators

set routine to compute the linear operators

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPSetComputeOperators(KSP ksp,PetscErrorCode (*func)(KSP,Mat,Mat,void*),void *ctx)

Logically Collective Many br

### Input Arguments

| ksp | - the KSP context Many br
| func | - function to compute the operators Many br
| ctx | - optional context Many br

### Calling sequence of func

     func(KSP ksp,Mat A,Mat B,void *ctx)

| ksp | - the KSP context Many br
| A | - the linear operator Many br
| B | - preconditioning matrix Many br
| ctx | - optional user-provided context Many br

Notes: The user provided func() will be called automatically at the very next call to KSPSolve(). It will not be called at future KSPSolve() calls Many brunless either KSPSetComputeOperators() or KSPSetOperators() is called before that KSPSolve() is called. Many br

To reuse the same preconditioner for the next KSPSolve() and not compute a new one based on the most recently computed matrix call KSPSetReusePreconditioner() Many br

Many br

### See Also

KSPSetOperators(), KSPSetComputeRHS(), DMKSPSetComputeOperators(), KSPSetComputeInitialGuess()

Level:beginner
Location:src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex25.c.html
src/ksp/ksp/examples/tutorials/ex28.c.html
src/ksp/ksp/examples/tutorials/ex29.c.html
src/ksp/ksp/examples/tutorials/ex31.c.html
src/ksp/ksp/examples/tutorials/ex32.c.html
src/ksp/ksp/examples/tutorials/ex34.c.html
src/ksp/ksp/examples/tutorials/ex45.c.html
src/ksp/ksp/examples/tutorials/ex50.c.html
src/ksp/ksp/examples/tutorials/ex65.c.html
src/ksp/ksp/examples/tutorials/ex22f.F.html
src/ksp/ksp/examples/tutorials/ex45f.F.html